package cn.superdesk.uniorder.dao.mapper._statistics;

import java.util.List;

import cn.superdesk.uniorder.dao.entity.statistics.receivable.StReceivableDayDataEntity;
import cn.superdesk.uniorder.dao.entity.statistics.receivable.StReceivableDayDataEntityExample;
import org.apache.ibatis.annotations.Param;

public interface StReceivableDayDataEntityMapper {
    long countByExample(StReceivableDayDataEntityExample example);

    int deleteByExample(StReceivableDayDataEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StReceivableDayDataEntity record);

    int insertSelective(StReceivableDayDataEntity record);

    List<StReceivableDayDataEntity> selectByExample(StReceivableDayDataEntityExample example);

    StReceivableDayDataEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StReceivableDayDataEntity record, @Param("example") StReceivableDayDataEntityExample example);

    int updateByExample(@Param("record") StReceivableDayDataEntity record, @Param("example") StReceivableDayDataEntityExample example);

    int updateByPrimaryKeySelective(StReceivableDayDataEntity record);

    int updateByPrimaryKey(StReceivableDayDataEntity record);
}